<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="home.css" />
	<link rel="stylesheet" href="pr3.css" />
	<title>Detalle</title>

	<script>
		function loadXMLDoc(filename) {
			//Abrimos una conexión con el servidor
			xhttp = new XMLHttpRequest();
			//Pedimos un fichero
			xhttp.open("GET", filename, false);
			try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
			xhttp.send("");
			return xhttp.responseXML;
		}

		//Funcion que nos permite recuperar el Identificador de la receta seleccionada
		//en la pantalla principal. Viene por la URL, método GET.
		function getId(sParametroNombre) {
			var sPaginaURL = window.location.search.substring(1);
			var sURLVariables = sPaginaURL.split('&');
			for (var i = 0; i < sURLVariables.length; i++) {
				var sParametro = sURLVariables[i].split('=');
				if (sParametro[0] == sParametroNombre) {
					return sParametro[1];
				}
			}
			return null;
		}


		function displayResult() {
			//Buscamos en la URL el parametro id usando la funcion getId
			var idReceta = getId('id');
			if (idReceta) {
				//Queremos cargar los ficheros XML y XSLT

				// CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
				xml = loadXMLDoc("videojoc" + idVideojuego + ".xml");
				xsl = loadXMLDoc("videojuegos.xsl");
				if (document.implementation && document.implementation.createDocument) {
					//Lanzamos el xsltproc que tiene el navegador
					xsltProcessor = new XSLTProcessor();
					xsltProcessor.importStylesheet(xsl);
					resultDocument = xsltProcessor.transformToFragment(xml, document);
					//El resultado de la transformación los ponemos dentro del elemento
					//section con identificador CONTENT-RECETAS
					document.getElementById("content-videojuego").appendChild(resultDocument);
				}
			} else {
				alert("El parámetro no existe en la URL");
			}
		}
	</script>


</head>

<body class="content-body" onload="displayResult()">


	<header>
		<!DOCTYPE html>
		<html lang="en">
		
		<head>
			<meta charset="UTF-8">
			<meta http-equiv="X-UA-Compatible" content="IE=edge">
			<meta name="viewport" content="width=device-width, initial-scale=1.0">
			<link rel="stylesheet" href="pr3.css">
			<link rel="stylesheet" href="home.css">
			<title>Pr3_m04Play</title>
		</head>
		
		<body>
			<header>
				<div class="cabecera">
					<img class="logo" src="src/m4play-low-resolution-logo-black-on-transparent-background.png" alt="Logo">
					<h1>EL MEJOR PORTAL INFORMATIVO DE VIDEOJUEGOS</h1>
				</div>
			</header>
			<nav>
				<ul>
					<li><a href="Home.html">MO4PLAY</a></li>
					<li><a href="LlistaVideojocs.html">VIDEOJUEGOS</a></li>
					<li><a href="noticies.html">NOTÍCIAS</a></li>
					<li><a href="ranking.html">RANKING</a></li>
					<li><a href="encuesta.html">ENCUESTA</a></li>
					<li><a href="contacto.html">CONTACTO</a></li>
				</ul>
			</nav>
	</header>

	<main>


		<!---CONTENEDOR DE L CÓDIGO DÓNDE IRÁ LA RECETA-->
		<section class="content" id="content-videojuego">
		</section>

	</main>

	<footer>
		<div class="xarxes">
            <a href=""><img class="footer-logos-rs" src="src/ig.png" alt="Instagram" /></a>
            <a href=""><img class="footer-logos-rs" src="src/fb.png" alt="Facebook" /></a>
            <a href=""><img class="footer-logos-rs" src="src/tw.png" alt="Twitter" /></a>
            <a href=""><img class="footer-logos-rs" src="src/yt.png" alt="Youtube" /></a>
        </div>
        <address>Carrer d'Aiguablava 121·08033 Barcelona</address>
        <copyright> copyright © 2021-2022</copyright>
	</footer>

</body>

</html>